package edu.nyu.sps.viewpropertyanimator;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.view.View;


public class LittleView extends View {
    private Paint paint = new Paint(Paint.ANTI_ALIAS_FLAG);
    private float radius;

    public LittleView(Context context) {
        super(context);
        setBackgroundColor(Color.TRANSPARENT);
        paint.setColor(Color.RED);
        paint.setStyle(Paint.Style.FILL);
    }

    @Override
    protected void onLayout(boolean changed, int left, int top, int right, int bottom) {
        super.onLayout(changed, left, top, right, bottom);
        radius = Math.min(getWidth(), getHeight()) / 2f;
    }

    @Override
    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        canvas.translate(getWidth() / 2f, getHeight() / 2f); //Put origin at center of LittleView.
        canvas.drawCircle(0f, 0f, radius, paint);
    }


}
